Skip to main content
GET
Get subscriptions

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

channel
enum<string>
required

Channel name. A separate subscription is needed for each channel.

Available options:
AGENT_OS,
APPLE_MESSAGES_FOR_BUSINESS,
BLOCKLIST,
CUSTOMER_ENGAGEMENT,
EMAIL,
FACEBOOK,
KAKAO_ALIM,
KAKAO_BRAND_MESSAGE,
LINE,
MMS,
MOBILE_IDENTITY,
MOBILE_PUSH,
NUMBER_LOOKUP,
OPEN_CHANNEL,
RCS,
REGISTRATION,
SMS,
VIBER,
VOICE_VIDEO,
WEB_PUSH,
WHATSAPP,
ZALO

Query Parameters

page
integer<int32>
default:0

Results page to retrieve (0..N).

Required range: x >= 0
size
integer<int32>
default:20

Number of records per page.

Required range: 1 <= x <= 100
applicationId
string

CPaaS-X application identifier.

Required string length: 1 - 255
entityId
string

CPaaS-X entity identifier.

Required string length: 1 - 255
callsConfigurationId
string

Calls configuration identifier.

Required string length: 1 - 128
resource
string

Resource.

Required string length: 1 - 255
user
string

User.

Required string length: 1 - 255

Response

Success.

results
Subscription · object[]

The list of the results for this page.

paging
PageInfo · object

Contains information about the page.